Update the Virtual Cross Connect
Update the Virtual Cross Connect.
Cloud IPs can only be patched during the created state, as GCE will only inform you of your generated IP once the pending connection requested has been accepted. Once the Virtual Cross Connect has moved to provisioning, the IPs can no longer be patched.
Once the Virtual Cross Connect has moved to provisioned and you are ready to enable routing, you can toggle the routing announcements to true.
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const virtualCrossConnect = await client.virtualCrossConnects.update(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
);
console.log(virtualCrossConnect.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
virtual_cross_connect = client.virtual_cross_connects.update(
id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
)
print(virtual_cross_connect.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
virtualCrossConnect, err := client.VirtualCrossConnects.Update(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.VirtualCrossConnectUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", virtualCrossConnect.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.virtualcrossconnects.VirtualCrossConnectUpdateParams;
import com.telnyx.sdk.models.virtualcrossconnects.VirtualCrossConnectUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VirtualCrossConnectUpdateResponse virtualCrossConnect = client.virtualCrossConnects().update("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
virtual_cross_connect = telnyx.virtual_cross_connects.update("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
puts(virtual_cross_connect)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$virtualCrossConnect = $client->virtualCrossConnects->update(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
primaryCloudIP: '169.254.0.2',
primaryEnabled: true,
primaryRoutingAnnouncement: false,
secondaryCloudIP: '169.254.0.4',
secondaryEnabled: true,
secondaryRoutingAnnouncement: false,
);
var_dump($virtualCrossConnect);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx virtual-cross-connects update \
--api-key 'My API Key' \
--id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request PATCH \
--url https://api.telnyx.com/v2/virtual_cross_connects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"primary_enabled": true,
"primary_routing_announcement": false,
"primary_cloud_ip": "169.254.0.2",
"secondary_enabled": true,
"secondary_routing_announcement": false,
"secondary_cloud_ip": "169.254.0.4"
}
'{
"data": {
"network_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"cloud_provider": "aws",
"cloud_provider_region": "us-east-1",
"bgp_asn": 1234,
"primary_cloud_account_id": "123456789012",
"region_code": "ashburn-va",
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "virtual_cross_connect",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"name": "test interface",
"status": "provisioned",
"bandwidth_mbps": 50,
"primary_enabled": true,
"primary_telnyx_ip": "169.254.0.1",
"primary_cloud_ip": "169.254.0.2",
"primary_bgp_key": "yFV4wEPtPVPfDUGLWiyQzwga",
"secondary_enabled": true,
"secondary_cloud_account_id": "",
"secondary_telnyx_ip": "169.254.0.3",
"secondary_cloud_ip": "169.254.0.4",
"secondary_bgp_key": "ge1lONeK9RcA83uuWaw9DvZy",
"primary_routing_announcement": false,
"secondary_routing_announcement": false,
"region": {
"code": "ashburn-va",
"name": "Ashburn",
"record_type": "region"
}
}
}{
"errors": [
{
"code": "10027",
"title": "Unprocessable Entity",
"detail": "The server understood the syntax of the request but was unable to process the instructions."
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Identifies the resource.
"6a09cdc3-8948-47f0-aa62-74ac943d6c58"
Body
Indicates whether the primary circuit is enabled. Setting this to false will disable the circuit.
true
Whether the primary BGP route is being announced.
false
The IP address assigned for your side of the Virtual Cross Connect.
If none is provided, one will be generated for you.
This value can not be patched once the VXC has bene provisioned.
"169.254.0.2"
Indicates whether the secondary circuit is enabled. Setting this to false will disable the circuit.
true
Whether the secondary BGP route is being announced.
false
The IP address assigned for your side of the Virtual Cross Connect.
If none is provided, one will be generated for you.
This value can not be patched once the VXC has bene provisioned.
"169.254.0.4"
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
const virtualCrossConnect = await client.virtualCrossConnects.update(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
);
console.log(virtualCrossConnect.data);import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
virtual_cross_connect = client.virtual_cross_connects.update(
id="6a09cdc3-8948-47f0-aa62-74ac943d6c58",
)
print(virtual_cross_connect.data)
package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
virtualCrossConnect, err := client.VirtualCrossConnects.Update(
context.TODO(),
"6a09cdc3-8948-47f0-aa62-74ac943d6c58",
telnyx.VirtualCrossConnectUpdateParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", virtualCrossConnect.Data)
}
package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.virtualcrossconnects.VirtualCrossConnectUpdateParams;
import com.telnyx.sdk.models.virtualcrossconnects.VirtualCrossConnectUpdateResponse;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
VirtualCrossConnectUpdateResponse virtualCrossConnect = client.virtualCrossConnects().update("6a09cdc3-8948-47f0-aa62-74ac943d6c58");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
virtual_cross_connect = telnyx.virtual_cross_connects.update("6a09cdc3-8948-47f0-aa62-74ac943d6c58")
puts(virtual_cross_connect)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$virtualCrossConnect = $client->virtualCrossConnects->update(
'6a09cdc3-8948-47f0-aa62-74ac943d6c58',
primaryCloudIP: '169.254.0.2',
primaryEnabled: true,
primaryRoutingAnnouncement: false,
secondaryCloudIP: '169.254.0.4',
secondaryEnabled: true,
secondaryRoutingAnnouncement: false,
);
var_dump($virtualCrossConnect);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx virtual-cross-connects update \
--api-key 'My API Key' \
--id 6a09cdc3-8948-47f0-aa62-74ac943d6c58curl --request PATCH \
--url https://api.telnyx.com/v2/virtual_cross_connects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"primary_enabled": true,
"primary_routing_announcement": false,
"primary_cloud_ip": "169.254.0.2",
"secondary_enabled": true,
"secondary_routing_announcement": false,
"secondary_cloud_ip": "169.254.0.4"
}
'{
"data": {
"network_id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"cloud_provider": "aws",
"cloud_provider_region": "us-east-1",
"bgp_asn": 1234,
"primary_cloud_account_id": "123456789012",
"region_code": "ashburn-va",
"id": "6a09cdc3-8948-47f0-aa62-74ac943d6c58",
"record_type": "virtual_cross_connect",
"created_at": "2018-02-02T22:25:27.521Z",
"updated_at": "2018-02-02T22:25:27.521Z",
"name": "test interface",
"status": "provisioned",
"bandwidth_mbps": 50,
"primary_enabled": true,
"primary_telnyx_ip": "169.254.0.1",
"primary_cloud_ip": "169.254.0.2",
"primary_bgp_key": "yFV4wEPtPVPfDUGLWiyQzwga",
"secondary_enabled": true,
"secondary_cloud_account_id": "",
"secondary_telnyx_ip": "169.254.0.3",
"secondary_cloud_ip": "169.254.0.4",
"secondary_bgp_key": "ge1lONeK9RcA83uuWaw9DvZy",
"primary_routing_announcement": false,
"secondary_routing_announcement": false,
"region": {
"code": "ashburn-va",
"name": "Ashburn",
"record_type": "region"
}
}
}{
"errors": [
{
"code": "10027",
"title": "Unprocessable Entity",
"detail": "The server understood the syntax of the request but was unable to process the instructions."
}
]
}{
"errors": [
{
"code": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"parameter": "<string>"
},
"meta": {}
}
]
}